Hatteker Trimmers Under ₹2,000
This list contains 5 Hatteker Trimmers Under ₹2,000 in India. This price list was last updated on Oct 19, 2026.
- Hatteker RFC-695 Hair Trimmer: Body, Cordless, Ceramic, Corded, Hair Trimmer
- Hatteker All in one Trimmer: Cordless, Corded, Source: Battery, Cordless, Blade: Stainless Steel
- Hatteker RFC-8106 Hair Trimmer: Pubic, Source: USB C Charging, Under Arm, Body, Blade: Stainless Steel
| Trimmer | Price | Available From |
|---|---|---|
| Hatteker RFC-695 Hair Trimmer | ₹1,598 | Dec, 2023 |
| Hatteker All in one Trimmer | ₹1,349 | Dec, 2022 |
| Hatteker RFC-8106 Hair Trimmer | ₹798 | Dec, 2023 |
| Hatteker SK-1815 Hair Trimmer | ₹849 | Dec, 2023 |
| Hatteker RFC-699 Trimmer | ₹1,847 | Nov, 2022 |
- Like
- Comment
- Share

Hatteker RFC-695 Hair Trimmer
₹1,5986%- Hair Trimmer
- Blade: Stainless Steel
- Cordless
- Corded
- Beard, Head, Mustache, Face, Body
- Use Time 5 hours
- Ceramic
- 1 year

Hatteker All in one Trimmer
₹1,349- Cordless
- Blade: Stainless Steel
- Cordless
- Corded
- Source: Battery

Hatteker RFC-8106 Hair Trimmer
₹798- Hair Trimmer
- Blade: Stainless Steel
- Cordless
- Under Shower Usable
- Source: USB C Charging
- Chest, Bikini Line, Pubic, Under Arm, Body
- Use Time 1 hour
- Ceramic

Hatteker SK-1815 Hair Trimmer
₹849- Hair Trimmer
- Ergonomic
- Blade: Stainless Steel
- Cordless
- Under Shower Usable
- Source: USB Charging
- Chest, Bikini Line, Pubic, Under Arm, Body
- Use Time 1 hour
Discuss
Related News
Dreame’s Great Indian Festival Sale Cuts Prices Across Robot Vacuums And Hair DryersEvery October, I tell readers the same thing about festive deals. First, check whether the discounted price is actually lower than the product’s regular retail price. Second, check whether the discounts are o…
Best Robot Vacuums and Wet-Dry Cleaners for Big Billion Days and Amazon Great Indian Festival 2026During India’s festive sale season, robot vacuums shift from being an expensive curiosity to a real purchase for many people. Each year, I see search interest in robot vacuums and wet-dry cleaner prices spike…
The Dreame X60 Ultra Complete Isn’t Chasing Specs, It’s Chasing Your Robot Vacuum RegretsHaving used four different robot vacuum cleaners now, from entry-level to flagship, I’ve reached the same breaking point with each one. Every week or so, I have to pull out a rope of tangled hair from the bru…
Samsung Galaxy F70 5G India Launch Set For October 18: Here’s Everything We KnowTo expand its online-first budget lineup, Samsung will launch the Galaxy F70 5G in a few days. The Pro model has been available for a couple of months, so this should make the right compromises to bring down …



View →







